summaryrefslogtreecommitdiffstats
path: root/test/119-noimage-patchoat/run
diff options
context:
space:
mode:
authorAndreas Gampe <agampe@google.com>2015-02-03 18:26:55 -0800
committerAndreas Gampe <agampe@google.com>2015-02-04 13:16:38 -0800
commit3ad5d5ea993376e7cae41ee6642d5e963822db84 (patch)
tree6e618ceac09b3143e0b8a10a9e3df773de5d1697 /test/119-noimage-patchoat/run
parent69d69ea40fe64ff2e70daffc365a2fffe5964fcc (diff)
downloadart-3ad5d5ea993376e7cae41ee6642d5e963822db84.zip
art-3ad5d5ea993376e7cae41ee6642d5e963822db84.tar.gz
art-3ad5d5ea993376e7cae41ee6642d5e963822db84.tar.bz2
ART: Fix old run scripts
The run scripts had not been updated when the central command script was unified, so they were always choosing target mode. Also update the run scripts so they abort when wrong options are used. Also strip superfluous whitespace from commands. Change-Id: I13cc59f43734a86062fc3ce5ff4ea308c301d4d3
Diffstat (limited to 'test/119-noimage-patchoat/run')
-rw-r--r--test/119-noimage-patchoat/run10
1 files changed, 8 insertions, 2 deletions
diff --git a/test/119-noimage-patchoat/run b/test/119-noimage-patchoat/run
index 745b0c9..c409cbb 100644
--- a/test/119-noimage-patchoat/run
+++ b/test/119-noimage-patchoat/run
@@ -14,10 +14,16 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+flags="$@"
+
# Force relocation otherwise we will just use the already created core.oat/art pair.
-flags="${@/--no-relocate/--relocate}"
+# Note: relocate is the default.
+if [[ "${flags}" == *--no-relocate* ]] ; then
+ echo "Test 119-noimage-patchoat is not intended to run in no-relocate mode."
+ exit 1
+fi
-if [ $(basename $RUN) == 'host-run-test-jar' ]; then
+if [[ $@ == *--host* ]]; then
false_bin="/bin/false"
else
false_bin="/system/bin/false"